> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# All Upload bulk payouts



## OpenAPI

````yaml openapi.json get /payout/bulk
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/bulk:
    parameters: []
    get:
      tags:
        - Payout
        - Bulk Payout
      summary: All Upload bulk payouts
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: name
          in: query
          required: false
          example: hello
          schema:
            type: string
        - name: reference
          in: query
          required: false
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          schema:
            type: string
        - name: endDate
          in: query
          required: false
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: ONETIME, SCHEDULE, RECURRENT
          example: ONETIME
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"586-6aCYcHy+7/4Ql602WBQ5936wRxA"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Tue, 24 Sep 2024 17:08:21 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: All Upload bulk payouts - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      page:
                        type: integer
                      size:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            type:
                              type: string
                            status:
                              type: string
                            metadata:
                              type: object
                              properties:
                                scheduleDate:
                                  type: string
                                  format: date-time
                            uploadedFile:
                              type: string
                              format: uri
                            totalRecords:
                              type: integer
                            batchReference:
                              type: string
                            totalValidRecords:
                              type: integer
                            totalInvalidRecords:
                              type: integer
                            createdAt:
                              type: string
                              format: date-time
              example:
                status: true
                message: Operation is successful
                data:
                  page: 1
                  size: 50
                  totalRecords: 6
                  totalPages: 1
                  records:
                    - id: fd2acdcf-b5bf-49e1-afa4-181a1a8312ee
                      name: Testing
                      type: SCHEDULE
                      status: UPLOADED
                      metadata:
                        scheduleDate: '2024-11-13T14:00:15.851Z'
                      uploadedFile: >-
                        https://d1hhqx6q67lhms.cloudfront.net/fLS3YGJqqwQBmaGAPzTQZhJ4m_bulk-payout-5.csv
                      totalRecords: 5
                      batchReference: wFQXhT0zATlwfqRh6NTUGHnltUvcVsuLtM3Y
                      totalValidRecords: 5
                      totalInvalidRecords: 0
                      createdAt: '2024-11-13T12:27:24.294Z'
                    - id: 2facad3c-4eae-4937-97a8-c68d26806c5a
                      name: Testing
                      type: SCHEDULE
                      status: UPLOADED
                      metadata:
                        scheduleDate: '2024-11-13T14:00:15.851Z'
                      uploadedFile: >-
                        https://d1hhqx6q67lhms.cloudfront.net/CcvO3kIwlP9W9WbOdHBZLuR9t_bulk-payout-5.csv
                      totalRecords: 5
                      batchReference: 0W2z8isCoW8u4sBzBEdlq2SUAwuY0JLjvwWd
                      totalValidRecords: 5
                      totalInvalidRecords: 0
                      createdAt: '2024-11-13T12:26:42.582Z'
                    - id: eb8c66ef-7fef-4a44-8ff9-6e75d2da121f
                      name: Testing
                      type: SCHEDULE
                      status: UPLOADED
                      metadata:
                        scheduleDate: '2024-11-13T14:00:15.851Z'
                      uploadedFile: >-
                        https://d1hhqx6q67lhms.cloudfront.net/2tPfMjV2J5RDiyU2PSnUjK3QJ_bulk-payout-5.csv
                      totalRecords: 5
                      batchReference: 0zJL5btPEtzrK2s5k9Q7Rkz7UqP3basy1CY7
                      totalValidRecords: 5
                      totalInvalidRecords: 0
                      createdAt: '2024-11-13T12:26:03.763Z'
                    - id: a4575a9c-8060-4b35-a53b-0d3bbae48f6e
                      name: null
                      type: ONETIME
                      status: COMPLETED
                      metadata: null
                      uploadedFile: null
                      totalRecords: 2
                      batchReference: jhNSFKTjIy6HcfGq0MGRkW6FswVZNSG11IJG
                      totalValidRecords: 1
                      totalInvalidRecords: 1
                      createdAt: '2024-11-08T09:59:16.121Z'
                    - id: ed06772e-cdd1-43ad-b43d-75917510b219
                      name: null
                      type: ONETIME
                      status: COMPLETED
                      metadata: null
                      uploadedFile: null
                      totalRecords: 2
                      batchReference: KtZRccJTKxnb6cRTqeoQHjLu31O5Apw5GMAx
                      totalValidRecords: 1
                      totalInvalidRecords: 1
                      createdAt: '2024-11-08T09:19:30.283Z'
                    - id: 4e092895-17ed-4d6c-9f24-6c879ff144e2
                      name: null
                      type: ONETIME
                      status: COMPLETED
                      metadata: null
                      uploadedFile: null
                      totalRecords: 2
                      batchReference: RZpz2ovThIkM2lJKJdufBGBZETrY1vHquzsr
                      totalValidRecords: 2
                      totalInvalidRecords: 0
                      createdAt: '2024-11-08T08:10:03.066Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````